Select Features broken for GRASS point data with attributes
Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Mandriva Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 10775

Description

When loading a point map (e.g. archsites from Spearfish), the "Select Features" does not work in Latitude-Longitude locations.

For experiments, to define SQLite settings in GRASS, just create a new mapset and run

# single quotes

db.connect driver=sqlite database='$GISDBASE/$LOCATION_NAME/$MAPSET/sqlite.db'

db.connect -p

- Then copy an existing point map which is then automatically stored in SQLite DB:

g.copy vect=points,mypoints

- then launch QGIS, load this map and try "Select Features" which does nothing in this case.

For the Spearfish location it works, I assume that it is somehow related to [[LatLong]].

Markus

History

#1 - 2007-05-17 02:43 AM - Markus Neteler

added myself in CC since reply to "neteler" (login) apparently fails

#2 - 2007-06-03 02:28 PM - Markus Neteler

It seems to fail also for LCC projected data. And also for data with attributes in DBF (GRASS standard). This message appears when querying a point:

I compiled GDAL and QGIS from scratch today, no improvement.

Best,

Markus

#3 - 2009-06-10 08:46 AM - Lorenzo Masini

- Resolution set to worksforme
- Status changed from Open to Closed
